Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ServerRequestInterceptor_out Class Reference

`#include <PortableInterceptorC.h>`

Collaboration diagram for PortableInterceptor::ServerRequestInterceptor_out:

[legend]
List of all members.

## Public Methods
| ServerRequestInterceptor_out (ServerRequestInterceptor_ptr &)
| ServerRequestInterceptor_out (ServerRequestInterceptor_var &)
| ServerRequestInterceptor_out (const ServerRequestInterceptor_out &)
ServerRequestInterceptor_out & | operator= (const ServerRequestInterceptor_out &)
ServerRequestInterceptor_out & | operator= (const ServerRequestInterceptor_var &)
ServerRequestInterceptor_out & | operator= (ServerRequestInterceptor_ptr)
| operator ServerRequestInterceptor_ptr & ()
ServerRequestInterceptor_ptr & | ptr (void)
ServerRequestInterceptor_ptr | operator-> (void)
## Private Attributes
ServerRequestInterceptor_ptr & | ptr_

## Constructor & Destructor Documentation

PortableInterceptor::ServerRequestInterceptor_out::ServerRequestInterceptor_out | ( | ServerRequestInterceptor_ptr & |  | ) |

PortableInterceptor::ServerRequestInterceptor_out::ServerRequestInterceptor_out | ( | ServerRequestInterceptor_var & |  | ) |

PortableInterceptor::ServerRequestInterceptor_out::ServerRequestInterceptor_out | ( | const ServerRequestInterceptor_out & |  | ) |

## Member Function Documentation

PortableInterceptor::ServerRequestInterceptor_out::operator ServerRequestInterceptor_ptr & | ( |  | ) |

ServerRequestInterceptor_ptr PortableInterceptor::ServerRequestInterceptor_out::operator-> | ( | void |  | ) |

ServerRequestInterceptor_out& PortableInterceptor::ServerRequestInterceptor_out::operator= | ( | ServerRequestInterceptor_ptr |  | ) |

ServerRequestInterceptor_out& PortableInterceptor::ServerRequestInterceptor_out::operator= | ( | const ServerRequestInterceptor_var & |  | ) |

ServerRequestInterceptor_out& PortableInterceptor::ServerRequestInterceptor_out::operator= | ( | const ServerRequestInterceptor_out & |  | ) |

ServerRequestInterceptor_ptr& PortableInterceptor::ServerRequestInterceptor_out::ptr | ( | void |  | ) |

## Member Data Documentation

ServerRequestInterceptor_ptr& PortableInterceptor::ServerRequestInterceptor_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- PortableInterceptorC.h